/*
 *  simpleApp 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package simpleapp.spec;

public class SimpleListOfDiscsFactory {
    
    private SimpleListOfDiscsFactory() {
    }

    public static SimpleListOfDiscs createSimpleListOfDiscs(String fullClassName) {
        SimpleListOfDiscs result = null;
        Class objectClass = null;

        try {
            // Create the value object
            objectClass = Class.forName(fullClassName);
            result = (SimpleListOfDiscs) objectClass.newInstance();
        } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}
