; This file is part of the Tutorial chapter of "Getting Started with Enhydra".
; It is not meant to be used in any other context.

; First load the JDBC driver and open a database.
d org.enhydra.instantdb.jdbc.idbDriver;
o jdbc:idb=simpleApp.prp;

; Record all results
e SET EXPORT "export0.txt" FIXEDLENGTH COLNAMEHEADER ROWNUMBERS CONTROLCOL SUMMARYHEADER;

; Create the table
e create table LE_TUTORIAL_DISCS
(
    title VARCHAR2(32) DEFAULT '' NOT NULL   ,
    artist VARCHAR2(32) DEFAULT '' NOT NULL   ,
    genre VARCHAR2(32) DEFAULT '' NOT NULL   ,
    isLiked INTEGER DEFAULT 0 NOT NULL
);


e INSERT INTO LE_TUTORIAL_DISCS VALUES ('Rockin Apps', 'Enhydra Orchestra',  'Rock and Roll', 1);
e INSERT INTO LE_TUTORIAL_DISCS VALUES ('Beethoven Symphony No.9', 'LA Philharmonic', 'Classical', 1);
e INSERT INTO LE_TUTORIAL_DISCS VALUES ('Material Girl', 'Madonna', 'Modern Rock', 0);

c close;
