/*
    This file is part of the Tutorial chapter of "Getting Started with Enhydra".
    It is not meant to be used in any other context.
*/

package simpleapp.business;

import simpleapp.data.SimpleDiscQuery;
import java.util.*;

public class SimpleDiscList
{    
    SimpleDiscQuery _sdq;
        
    public SimpleDiscList() {
        try {
            _sdq = new SimpleDiscQuery();

        } catch (Exception e) {
            e.printStackTrace();
        }            
    }
    
    /*  Method to return a 2-dimensional array of strings representing 
        a result set from the Disc Table.
    */
    public String[][] getDiscList() {  
        try {
            
            Vector vResults = _sdq.query();
            if (vResults == null) {
                System.out.println("vResults is null"); 
            }
            String result[][] = new String[vResults.size()][4];
            int i = 0;
                
            Enumeration eResult = vResults.elements();
            while (eResult.hasMoreElements() ) {       
                Vector vRow = (Vector)eResult.nextElement();
                result[i][0] = (String)vRow.elementAt(0);
                result[i][1] = (String)vRow.elementAt(1);
                result[i][2] = (String)vRow.elementAt(2);
                result[i][3] = ( (((String)vRow.elementAt(3)).equals("0")) ? "No" : "Yes" );
                i++;
            }                  
	        return result;	   
	        
        } catch (Exception e) {
            e.printStackTrace();
        }
        
        return null;
        
    }  //getDiscList
    
}
