/*
    This file is part of the Tutorial chapter of "Getting Started with Enhydra".
    It is not meant to be used in any other context.
*/

package simpleapp.business;

import simpleapp.data.*;
import java.util.*;

import simpleapp.data.person.*;
import simpleapp.data.disc.*;
import com.lutris.dods.builder.generator.query.*;

public class SimpleDiscList
{

    public SimpleDiscList() {
        try {

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /*  Method to return a 2-dimensional array of strings representing
        a result set from the Disc Table.
    */
    public String[][] getDiscList() {
        try {
            DiscDO[] discArray;
		    DiscQuery dquery = new DiscQuery();
		    discArray = dquery.getDOArray();
            String result[][] = new String[discArray.length][4];

		    for(int i=0; i< discArray.length; i++) {
                result[i][1] = discArray[i].getArtist();
                result[i][0] = discArray[i].getTitle();
                result[i][2] = discArray[i].getGenre();
                result[i][3] = discArray[i].getIsLiked() ? "Yes" : "No";
		    }
	        return result;

        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;

    }  //getDiscList

}
