/*  
    This file is part of the Tutorial chapter of "Getting Started with Enhydra".
    It is not meant to be used in any other context.
*/

package simpleapp.data;

import java.sql.*;
import com.lutris.appserver.server.Enhydra;
import com.lutris.appserver.server.sql.*;
import java.util.Vector;

public class SimpleDiscQuery
{
    DBConnection connection; 
    
    public SimpleDiscQuery() {
        try {
            connection = Enhydra.getDatabaseManager().allocateConnection();
                
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    public Vector query() { 
        ResultSet resultSet = null;
        Vector vResultSet = new Vector();
        
        try {
            resultSet = connection.executeQuery("SELECT * FROM LE_TUTORIAL_DISCS");
            int i=0;
            if (resultSet != null) {
                while (resultSet.next()) {
                    Vector vRow = new Vector(4);
                    vRow.addElement( resultSet.getString("artist") );
                    vRow.addElement( resultSet.getString("title") );
                    vRow.addElement( resultSet.getString("genre") );
                    vRow.addElement( Integer.toString( resultSet.getInt("isLiked") ) );
                    vResultSet.addElement( vRow );
                }
            }
            connection.reset();
            connection.release();
                
        } catch (Exception e) {
            e.printStackTrace();
        }
        
	    return vResultSet;	    
    }    
    
}
